const userDefaults = {
    fs: {
        delims: {
            elem: '__',
            mod: '_'
        },
        scheme: 'flat'
    }
}

// Use well-known presets with the flat scheme
const reactFlatPreset = require('@bem/sdk.naming.presets/create')({preset:'react'}, userDefaults);
const twoDashesFlatPreset = require('@bem/sdk.naming.presets/create')({preset:'two-dashes'}, userDefaults);;

const customPreset = require('@bem/sdk.naming.presets/create')({wordPattern:'\w+?'}, userDefaults);;

const presetOptions = {
    delims: {
        mod: { val: '='}
    },
    fs: {
        delims: {
            mod: { val: '='}
        }
    }
}
const anotherPreset = require('@bem/sdk.naming.presets/create')(presetOptions, userDefaults);;